Name:    gpgme
Summary: GnuPG Made Easy - high level crypto API
Version: 1.1.6
Release: 1
License: LGPLv2+
Group:   Applications/System
URL:     http://www.gnupg.org/related_software/gpgme/
Source0: ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2.sig

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gawk
BuildRequires: gnupg
BuildRequires: gnupg2
BuildRequires: libgpg-error-devel
BuildRequires: pth-devel

Requires: gnupg
Requires: gnupg2
Requires: libgpg-error
Requires: pth

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.  It provides a high-level crypto API for
encryption, decryption, signing, signature verification and key
management.

The library is available as 32-bit and 64-bit.


%package devel
Summary:  Development headers and libraries for %{name}
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgpg-error-devel
Requires: /sbin/install-info, info

%description devel
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.  It provides a high-level crypto API for
encryption, decryption, signing, signature verification and key
management.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir} \
    --enable-shared --disable-static
make %{?_smp_mflags}

cp gpgme/.libs/libgpgme.so.11         .
cp gpgme/.libs/libgpgme-pth.so.11     .
cp gpgme/.libs/libgpgme-pthread.so.11 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir} \
    --enable-shared --disable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q gpgme/.libs/libgpgme.a         ./libgpgme.so.11
${AR} -q gpgme/.libs/libgpgme-pth.a     ./libgpgme-pth.so.11
${AR} -q gpgme/.libs/libgpgme-pthread.a ./libgpgme-pthread.so.11


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*info*

# remove unpackaged files
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/common-lisp

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%post devel
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir 2>/dev/null || :


%postun devel
if [ $1 -eq 0 ] ; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir 2>/dev/null || :
fi


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING* ChangeLog NEWS README* THANKS TODO VERSION
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_bindir}/%{name}-config
%{_includedir}/*
%{_libdir}/*.la
%{_infodir}/%{name}.info*
%{_datadir}/aclocal/%{name}.m4
/usr/bin/*
/usr/include/*
/usr/lib/*.la


%changelog
* Tue May 27 2008 Michael Perzl <michael@perzl.org> - 1.1.6-1
- first version for AIX V5.1 and higher
